### Method

# FwupdPlugin Backend get_device_parent

since: 2.0.0

#### Declaration [src]

    FuDevice*
    fu_backend_get_device_parent (
      FuBackend* self,
      FuDevice* device,
      const gchar* subsystem,
      GError** error
    )

#### Description [src]

Asks the backend to create the parent device (of the correct type) for a given device subsystem.

Available since: 2.0.0

#### Parameters

`device`

  Type: `FuDevice`

  A `FuDevice`.

  The data is owned by the caller of the method.

`subsystem`

  Type: `const gchar*`

  An optional device subsystem, e.g. “usb:usb_device”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuDevice`

A `FuDevice` or `NULL` if not found or unimplemented.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.